Error
A valid request URL is required to generate request examples{
"message": "Table created successfully",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"table": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"ref_table_name": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": "Database not found"
}{
"error": "Table name already exists"
}Table Operations
Create a new table
Creates a new table in both the model and the actual database. Auto-creates id, created_at, and updated_at columns.
POST
/
{databaseId}
/
tables
Error
A valid request URL is required to generate request examples{
"message": "Table created successfully",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"table": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"ref_table_name": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": "Database not found"
}{
"error": "Table name already exists"
}Authorizations
Enter token in format (Bearer )
Path Parameters
Database ID
Body
application/json
Table configuration
Display name for the table
Maximum string length:
255Example:
"Users Table"
Actual database table name (must start with letter, contain only letters, numbers, underscores)
Maximum string length:
63Pattern:
^[a-zA-Z][a-zA-Z0-9_]*$Example:
"users"
Optional description
Maximum string length:
1000Example:
"Table for storing user information"
Optional schema definition